%{?dist: %{expand: %%define %dist 1}}
%define build_rh9 0

%{?rh90: %define build_rh9 1}


Summary: mod_security -- Intrusion detection and prevention engine
Name: mod_security
Version: 2.0.0
Release: 1.art
License: GPL
Group: System Environment/Daemons
Source0: modsecurity-apache_%{version}-dev1.tar.gz
Source1: 00mod_security.conf.dev
Source2: vrules.tgz
#Source2: apache2-gotrootrules-latest.tar.gz
Patch0: rh9fix.patch
Patch1: apr-1.patch
#Source2: exclude.conf
#Source3: blacklist.conf
#Source4: mod_security_rules.conf
URL: http://www.modsecurity.org/
Requires: httpd
%{?rh9:BuildRequires: httpd httpd-devel subversion-devel}
%{?el3:BuildRequires: apr apr-util}
%{?el4:BuildRequires: apr apr-util}
%{?fc1:BuildRequires: apr apr-util}
%{?fc2:BuildRequires: apr apr-util}
%{?fc3:BuildRequires: apr apr-util}
%{?fc4:BuildRequires: apr apr-util}
%{?fc5:BuildRequires: apr apr-util}
%{?fc6:BuildRequires: apr apr-util}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
ModSecurity is an open source intrusion detection and prevention engine for web applications (or a web application firewall). Operating as an Apache Web server module or standalone, the purpose of ModSecurity is to increase web application security, protecting web applications from known and unknown attacks.

# RH9
# needs this in modsecurity.c
#include <apr-0/apr_md5.h>
#include <apr-0/apr_user.h>
#Then, add these symlinks:
#
#ln -s /usr/lib/libaprutil-0.so.0 /usr/lib/libaprutil-0.so
#ln -s /usr/lib/libapr-0.so.0 /usr/lib/libapr-0.so
#
#And then compile like this:
#
#apxs -cai -lapr-0 -laprutil-0 mod_security.c 


%prep
[ -n %{buildroot} ] && rm -rf %{buildroot}
[ -d %{_builddir}/%{name}-%{version} ] && rm -rf %{_builddir}/%{name}-%{version}

%setup -q -n modsecurity-apache_%{version}-dev1
%setup -n modsecurity-apache_%{version}-dev1 -a 2

%{?rh90:%patch0 -p0}
%{?fc5:%patch1 -p0}
%{?fc6:%patch1 -p0}

%build

%if %{build_rh9}
%{_sbindir}/apxs -cai -lapr-0 -laprutil-0 apache2/mod_security.c 
%else
%{_sbindir}/apxs -c apache2/mod_security.c
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/httpd/modules
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
mkdir -p %{buildroot}/%{_sysconfdir}/modsecurity
mkdir -p %{buildroot}/var/lib/msa



cp -f apache2/.libs/mod_security.so %{buildroot}%{_libdir}/httpd/modules
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/00mod_security.conf
cp -f apache2/*.conf %{buildroot}/%{_sysconfdir}/modsecurity/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d %{_builddir}/%{name}-%{version} ] && rm -rf %{_builddir}/%{name}-%{version}

%pre

%postun
[ -d %{_localstatedir}/%{name} ] && rm -rf %{_localstatedir}/%{name} || :

%post

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/httpd/modules/mod_security.so
%attr(0640,root,root) %{_sysconfdir}/httpd/conf.d/00mod_security.conf
%config %{_sysconfdir}/modsecurity/*
%dir %attr(0755,apache,root) /var/lib/msa

%changelog

* Tue Sep 26  2006 Scott R. Shinn <scott@atomicorp.com>
- update to 2.0.0-dev1


* Sat Jun 1 2006 Scott R. Shinn <scott@atomicorp.com>
- update to 1.9.4

* Sat May 2 2006 Scott R. Shinn <scott@atomicorp.com>
- update to 1.9.3

* Sat Mar 4 2006 Scott R. Shinn <scott@atomicorp.com>
- update to 1.9.2

* Thu Dec 8 2005 Scott R. Shinn <scott@atomicorp.com>
- update to 1.9

* Wed Aug 31 2005 Scott R. Shinn <scott@atomicorp.com>
- rules update

* Thu Apr 2 2005 Michael T. Shinn <mike@atomicorp.com>
- addition of configuration files

* Thu Feb 17 2005 Scott R. Shinn <scott@atomicrocketturtle.com>
- initial build

